using NBAManagment.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace NBAManagment
{
    /// <summary>
    /// Логика взаимодействия для TeamsMain.xaml
    /// </summary>
    public partial class TeamsMain : Window
    {
        public TeamsMain()
        {
            InitializeComponent();

            var db = new Entities.PracticeNBAEntities();
            lvTeamAtlantic.ItemsSource = new List<Entities.Team>(db.Team.Where(t => t.IdDivision == 1));         
            lvTeamCentral.ItemsSource = new List<Entities.Team>(db.Team.Where(t => t.IdDivision == 2));
            lvTeamSoutheastl.ItemsSource = new List<Entities.Team>(db.Team.Where(t => t.IdDivision == 3));
            lvTeamSouthwestern.ItemsSource = new List<Entities.Team>(db.Team.Where(t => t.IdDivision == 4));
            lvTeamNorthwestern.ItemsSource = new List<Entities.Team>(db.Team.Where(t => t.IdDivision == 5));
            lvTeamPacific.ItemsSource = new List<Entities.Team>(db.Team.Where(t => t.IdDivision == 6));
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            VisitorMenu visitorMenu = new VisitorMenu();
            visitorMenu.Show();
            this.Close();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            TeamDetail teamDetail = new TeamDetail();
            teamDetail.Show();
            this.Close();
        }

        private void Hyperlink_Click(object sender, RoutedEventArgs e)
        {
            var Roaster = (sender as Hyperlink).DataContext as Team;
        }


        private void Hyperlink_Click_2(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_1(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_3(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_4(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_5(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_6(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_7(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_8(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_9(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_10(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_11(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_12(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_13(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_14(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_15(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_16(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_17(object sender, RoutedEventArgs e)
        {

        }

        private void Hyperlink_Click_18(object sender, RoutedEventArgs e)
        {

        }
    }
}
